# std::chrono::month_day::ok

From cppreference.com
< cpp‎ | chrono‎ | month day

constexpr bool ok() const noexcept; |  | (since C++20)

Determines whether this `month_day` stores a valid month-day combination.

The combination is valid if month() represents a valid month (month().ok() == true), unsigned{day()} >= 1, and unsigned{day()} <= D, where D is the number of days in the month represented by `month()`. The number of days in February is considered to be 29.

### Return value

true if the month and day combination is valid, otherwise false.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/month_day/ok&oldid=104704"